Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1072874 - Slightly misleading comment "Another user experienced a similar problem"
Summary: Slightly misleading comment "Another user experienced a similar problem"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Beran
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-05 10:25 UTC by Alois Mahdal
Modified: 2016-02-04 23:22 UTC (History)
9 users (show)

Fixed In Version: libreport-2.6.4-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-04 23:22:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Alois Mahdal 2014-03-05 10:25:10 UTC
Description of problem:
When user reports crash via ABRT, and consequentially the same crash is detected and reported again, the comment added to the original bug has this form:

> Another user experienced a similar problem:
>
> [...description as entered in gnome-abrt...]

This can be misleading: it seems like if the commenter was literally speaking of some "another user", although in reality there is no reason to imply that.  (In fact I believe most of the time it's the same user who experiences the crash and has their name on this comment so there is no "another user".)


The confusion is even supported by the context:

    comm. 0 from Joe: "I just had this program crashed blah blah..."
    ...wall of attachments...
    comm. 12 from Joe: "Another user just had this program crashed
                        blah blah..."

It also applies if the other user is different:

    comm. 0 from Joe: "I just had this program crashed blah blah..."
    ...wall of attachments...
    comm. 12 from Bob: "Another user just had this program crashed
                        blah blah..."

One of many examples of such bug is bug 1071327.


Version-Release number of selected component (if applicable):
abrt-2.1.12-2.fc20.x86_64


How reproducible:
always


Steps to Reproduce:
1. Have a crash and report it to bugzilla
2. Have the same crash again and have ABRT add comment
3. Look at the bug, read tha comments


Actual results:
You are scratching your head


Expected results:
You should not be scratching your head


Additional info:
In fact I can't see how this sentence would be useful so I think that best and easiest way how to fix it would be removing it.

Comment 1 Alois Mahdal 2014-03-05 10:31:01 UTC
> In fact I can't see how this sentence would be useful so I think that best
> and easiest way how to fix it would be removing it.

After re-reading the example bug I reconsidered this: it is useful to make clear the comment is about a new instance of similar (or the same) problem.  So what about something like:

    "Similar problem has been detected:\n\n"

I'm sure you can make something up ... something nice, neutral and universal. :)

Comment 2 Fedora End Of Life 2015-05-29 11:09:10 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Jan Kurik 2015-07-15 14:42:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Jan Beran 2015-12-16 15:57:05 UTC
Upstream pull request: https://github.com/abrt/libreport/pull/399

Upstream pull request for testing part: https://github.com/abrt/abrt/pull/1103

Comment 6 Fedora Update System 2016-02-02 16:12:36 UTC
libreport-2.6.4-1.fc23 abrt-2.7.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-933459f83c

Comment 7 Fedora Update System 2016-02-03 23:02:03 UTC
abrt-2.8.0-1.fc23, libreport-2.6.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-933459f83c

Comment 8 Fedora Update System 2016-02-04 23:22:36 UTC
abrt-2.8.0-1.fc23, libreport-2.6.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.